#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Windows;
using System.Windows.Controls;
using Syncfusion.Windows.Controls.Gantt;
using System.Windows.Media;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Controls.Grid;
using System.Collections.Generic;

namespace BaselineTableView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
           
        }

        private void Gantt_Loaded(object sender, RoutedEventArgs e)
        {
            Gantt.LoadVarianceTableView();
            Gantt.GanttGrid.Loaded += GanttGrid_Loaded;
        }

        private void GanttGrid_Loaded(object sender, RoutedEventArgs e)
        {
            var collection = (Gantt.GanttGrid.Columns as ObservableCollection<GridTreeColumn>);
            for(int i=0;i<=Gantt.GanttGrid.Columns.Count;i++)
            {
               
                if ((Gantt.GanttGrid.Columns[i] as GridTreeColumn).MappingName == "Id")
                {
                   collection.Remove(Gantt.GanttGrid.Columns[i]);                    
                }
                else if ((Gantt.GanttGrid.Columns[i] as GridTreeColumn).MappingName == "EndDate")
                {
                    Gantt.GanttGrid.Columns.Remove(Gantt.GanttGrid.Columns[i]);
                }
                if ((Gantt.GanttGrid.Columns[i] as GridTreeColumn).MappingName == "Duration")
                {
                    Gantt.GanttGrid.Columns.Remove(Gantt.GanttGrid.Columns[i]);
                }
                else if ((Gantt.GanttGrid.Columns[i] as GridTreeColumn).MappingName == "BaselineCost")
                {
                    Gantt.GanttGrid.Columns.Remove(Gantt.GanttGrid.Columns[i]);
                }
                else if ((Gantt.GanttGrid.Columns[i] as GridTreeColumn).MappingName == "BaselineStart")
                {
                    Gantt.GanttGrid.Columns.Remove(Gantt.GanttGrid.Columns[i]);
                }
                
            }
            //Inserting the column.
            GridTreeColumn column = new GridTreeColumn
            {
                MappingName = "Complete",
                HeaderText = "Complete(%)",
                Width = 100
               
            };
            
            Gantt.GanttGrid.Columns.Insert(2, column);
            Gantt.GanttGrid.ShowRowHeader = false;
        
        }
    }
}
